﻿/*
 * Netkill
 * 
 * Copyright © 2012 John Granström. All Rights Reserved.
 * 
 * This software is released under the terms and conditions of the BSD license. See 'license.txt' for details.'
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Netkill
{
    /// <summary>
    /// Contains misc methods that should be globally available.
    /// </summary>
    class Global
    {
        static public string SavedMonString
        {
            get
            {
                return Properties.Settings.Default.MonitorString ?? "";
            }
            set
            {
                Properties.Settings.Default.MonitorString = value;
                Properties.Settings.Default.Save();
            }
        }

        static public bool ShowOnStartup
        {
            get
            {
                return Properties.Settings.Default.ShowOnStartup;
            }
            set
            {
                Properties.Settings.Default.ShowOnStartup = value;
                Properties.Settings.Default.Save();
            }
        }
    }
}
